// Ultrasonic Ranging Module HC-SR04 to ATtiny44 Microcontroller
// Till Cremer, Fab Academy 2015

#include <SoftwareSerial.h>  // include software serial library
SoftwareSerial mySerial(0, 1);  // RX, TX

long duration, distance;  // variables duration and distance

void setup() {
  mySerial.begin(9600);
  pinMode(2, OUTPUT);  // trigger signal
  pinMode(3, INPUT);   // echo signal
}

void loop() {
  digitalWrite(2, LOW);  // send trigger signal
  delayMicroseconds(10);  // wait 10 uS
  digitalWrite(2, HIGH);  // stop trigger signal
  duration = pulseIn(3, HIGH);  // echo signal
  distance = duration/58; // calculate cm
  mySerial.println(distance); // send data to FTDI
}
